<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
if ($mode=="delete")
{
	Db::i()->query("DELETE FROM ?_langs WHERE lang_id=?", $_GET['var1']);
	Db::i()->query("UPDATE ?_tree SET lang_id=0 WHERE lang_id=?",  $_GET['var1']);
	LabCMS::i()->reset_cache('all');
	User::setResetSession();
	refresh();
}

if ($_SERVER['REQUEST_METHOD']=="POST")
{
	if (!$_POST['lang_name']) LabCMS::i()->error('Название языка не может быть пустым!');
	if (!$_POST['key']) LabCMS::i()->error('Обозначение языка не может быть пустым!');

	if (LabCMS::i()->no_errors)
	{
		if ($mode=="add")
		{
			Db::i()->query("INSERT INTO ?_langs (lang_name, `key`) VALUES(?, ?)", $_POST['lang_name'], $_POST['key']);
		}
		if ($mode=="edit")
		{
			Db::i()->query("UPDATE ?_langs SET lang_name=?, `key`=? WHERE lang_id=?", $_POST['lang_name'], $_POST['key'], $_GET['var1']);
		}
		User::setResetSession();
		refresh();
	}
}

$mod_template="edit_lang.tpl";

if ($mode=="edit")
{
	Tpl::i()->assign("lang_data", Db::i()->selectRow("SELECT lang_id, lang_name, `key` FROM ?_langs WHERE lang_id=?", $_GET['var1']));
}
